commit:     18d0d0d945658538db2688609d167c9ea4cd67c5
Author:     Alarig Le Lay <alarig <AT> swordarmor <DOT> fr>
AuthorDate: Sun May  3 20:42:21 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun May  3 21:23:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18d0d0d9

dev-python/socketio-client: Version bump to 0.7.2

Adds py3.7 and py3.8 support, switching to EAPI 7

Closes: https://bugs.gentoo.org/719556
Closes: https://github.com/gentoo/gentoo/pull/15635
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alarig Le Lay <alarig <AT> swordarmor.fr>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/socketio-client/Manifest                |  1 +
 .../socketio-client/socketio-client-0.7.2.ebuild   | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/socketio-client/Manifest 
b/dev-python/socketio-client/Manifest
index e7102209aae..b31083be973 100644
--- a/dev-python/socketio-client/Manifest
+++ b/dev-python/socketio-client/Manifest
@@ -1 +1,2 @@
 DIST socketio-client-0.6.6.tar.gz 21829 BLAKE2B 
72e47f9aa4bae06767aa1860fc7d57f7f2ae78dd037e46aa50a8672f4e168982d6e602ed8f80f203081e5747cacb0f6fa2959311271bc578c1b8b5bf70ec506a
 SHA512 
aa21d31bf9e9062578fc6892a7624ea41ef3437eff132ff3ef2829a589c0fd19953fc514ab05161a32d06578708fb7f41b2f636d3d60a2700094e676d72cee47
+DIST socketio-client-0.7.2.tar.gz 23488 BLAKE2B 
8c638dcc8ed30fb01a31e36f8175ef7e6b77b37dac0a66f1ef663a372458ccb34bac2ed58fce31a3856eb3d067ad8dc20f7d4a332b2af10ae12717bbb786349f
 SHA512 
850839f804953c706458467c9e35c4c3637d3a61ff55042ef0b6f98e39a277faa97a0a3d7b1e18210e68ec32bb4ca793cd404631e0e2b533e61ad5d05cbc18fa

diff --git a/dev-python/socketio-client/socketio-client-0.7.2.ebuild 
b/dev-python/socketio-client/socketio-client-0.7.2.ebuild
new file mode 100644
index 00000000000..bf523494635
--- /dev/null
+++ b/dev-python/socketio-client/socketio-client-0.7.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PN="socketIO-client"
+DESCRIPTION="A socket.io client library for Python"
+HOMEPAGE="https://github.com/invisibleroads/socketIO-client/ 
https://pypi.org/project/socketIO-client/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+               >=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
+               dev-python/websocket-client[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_test() {
+       # https://github.com/invisibleroads/socketIO-client/issues/90
+       # This runs the suite but has nill output to the screen
+       # The bug filed will hopefully yield a more conventional testsuite
+
+       # The import of SocketIO need be made with abs path to run the tests
+       sed -e 's:from .. import:from socketIO_client import:' \
+               -i socketIO_client/tests/__init__.py || die
+       sed -e 's:from ..exceptions import:from socketIO_client.exceptions 
import:' \
+               -i socketIO_client/tests/__init__.py || die
+
+       "${PYTHON}" socketIO_client/tests/__init__.py || \
+               die "Tests failed under ${EPYTHON}"
+
+       # Return to original form for final install
+       sed -e 's:from socketIO_client import:from .. import:' \
+               -i socketIO_client/tests/__init__.py || die
+       sed -e 's:from socketIO_client.exceptions import:from ..exceptions 
import:' \
+               -i socketIO_client/tests/__init__.py || die
+}

Reply via email to